#!/bin/sh

SUPPORTED_PLATFORMS="iphoneos iphonesimulator"
PROJECT_NAME="HelloFramework"
CONFIGURATION="Release"
#CONFIGURATION="Debug"
CURRENT_WORKING_DIR=`pwd`
BUILD_DIR="${CURRENT_WORKING_DIR}/build"

for PLATFORM in $SUPPORTED_PLATFORMS; do
  xcodebuild -target "${PROJECT_NAME}" -configuration "${CONFIGURATION}" -sdk "${PLATFORM}" \
    ENABLE_BITCODE=YES ONLY_ACTIVE_ARCH=NO BUILD_DIR="${BUILD_DIR}" CODE_SIGN_IDENTITY="" CODE_SIGNING_REQUIRED=NO clean build
done

cp -R "${BUILD_DIR}/${CONFIGURATION}-iphoneos/${PROJECT_NAME}.framework" "${BUILD_DIR}/"

lipo -create -output "${BUILD_DIR}/${PROJECT_NAME}.framework/${PROJECT_NAME}" \
  "${BUILD_DIR}/${CONFIGURATION}-iphoneos/${PROJECT_NAME}.framework/${PROJECT_NAME}" \
  "${BUILD_DIR}/${CONFIGURATION}-iphonesimulator/${PROJECT_NAME}.framework/${PROJECT_NAME}"

echo "Fat Framework Built : ${BUILD_DIR}/${PROJECT_NAME}.framework"
